Page MenuHomePhabricator

Rename Gerrit repository "LdapGroups" to "LDAPGroups"
Closed, ResolvedPublic

Description

Could I get my repository LdapGroups renamed to LDAPGroups? After that, I can move the work I've been doing on github to gerrit.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2018, 11:26 PM
Paladox moved this task from Bugs & stuff to Repo Admin on the Gerrit board.
Aklapper renamed this task from Rename Gerrit Repo to Rename Gerrit repository "LdapGroups" to "LDAPGroups".Jul 31 2018, 9:02 AM

We should also make the group own its self.

A repo LDAPGroups exists now and conflicts with the lowercase name on windows.

Was the creation part of the rename?

@MarkAHershberger @Osnard We now have two extensions named similarly: [[ https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/LDAPGroups/ | LDAPGroups ]] and [[ https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/LdapGroups/ | LdapGroups ]]. Is this intended? Is extension-LdapGroups to be archived? We can't add both to rMEXT as that'd have unwanted effects as stated at T224659#5628029. Regards.

My extension can be deleted.

My extension can be deleted.

Alright @MarkAHershberger - I understand you meant https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/LdapGroups/ whose extension.json file lists you as sole author.

MediaWiki-extensions-LDAPGroups though mentions that extension and not LDAP groups in the description. Shall we update it before starting the archival process @Aklapper ?

MediaWiki-extensions-LDAPGroups though mentions that extension and not LDAP groups in the description.

Fixed.

MediaWiki-extensions-LDAPGroups though mentions that extension and not LDAP groups in the description.

Fixed.

Thanks @CCicalese_WMF - I'll arrange the archiving of LdapGroups.

MarcoAurelio closed this task as Resolved.Nov 7 2019, 5:56 PM

Resolved because something happened. Although LdapGroups and LDAPGroups are different extensions, both have Mark as author so I guess the later has code from the former or both cooperated in its development. LdapGroups is to be archived.

MarkAHershberger added a comment.EditedNov 20 2019, 11:22 PM

Who manages github mirroring? It looks like there is no mirror of the current LDAPGroups.

Who manages github mirroring? It looks like there is no mirror of the current LDAPGroups.

I can create one. I probably forgot when doing the rest of the steps.

for some reason is the GitHub mirror for LDAPGroups now also archived